Opened 11 years ago

Closed 10 years ago

#3921 closed defect (invalid)

WOODRUFF: No text displayed in menu with Italian Language

Reported by: SF/aculotarpa Owned by: DrMcCoy
Priority: normal Component: Engine: Gob
Keywords: Cc:
Game: Woodruff

Description

When I right click to get the menu, or left click on the Icons on top of the screen i get a blank dropdown window. The menu is fully functional, as I can highlight a blank square and select option and action, but no text is displayed inside.
The only texts displayed are the version window and all related to setup menu (music and info)

The description text at the bottom is correctly displayed, and so the icons on top.
If I set default (english) language all works fine

Stable ScummVM 0.12.0 Aug 27 2008 23:07:50
SVN ScummVM 0.13.0svn Sep 1 2008 22:37:08
The Bizarre Adventures of Woodruff and the Schnibble V. 1.0
MacOSX 10.5.4 Intel

Ticket imported from: #2088500. Ticket imported from: bugs/3921.

Attachments (1)

scummvm00000.jpg (49.6 KB ) - added by SF/aculotarpa 11 years ago.

Download all attachments as: .zip

Change History (16)

by SF/aculotarpa, 11 years ago

Attachment: scummvm00000.jpg added

comment:1 by fingolfin, 11 years ago

Summary: No text displayed in menu with Italian LanguageWOODRUFF: No text displayed in menu with Italian Language

comment:2 by DrMcCoy, 11 years ago

Owner: set to DrMcCoy

comment:3 by DrMcCoy, 10 years ago

Is that bug still there?
Could you check if a warning or error is written to stdout (on the console)?

comment:4 by SF/aculotarpa, 10 years ago

Yes, still here.
This is the exact output of the console

Utopia-Planitia:MacOS XXXXXX$ ./scummvm
User picked target 'woodruff-it' (gameid 'gob')...
Looking for a plugin supporting this gameid... Gob Engine
Starting 'Gob engine game'
2009-06-11 21:21:19.304 scummvm[500:10b] Warning once: This application, or a library it uses, is using NSQuickDrawView, which has been deprecated. Apps should cease use of QuickDraw and move to Quartz.
WARNING: Video A/V sync broken, skipping 15 frame(s)!

ScummVM 0.14.0svn41433 (Jun 11 2009 04:47:08)
The Bizarre Adventures of Woodruff and the Schnibble V. 1.0
MacOSX 10.5.7 Intel

same bug on Wii port
ScummVM 0.14.0svn41364 (Jun 8 2009 11:8:49)

comment:5 by SF/aculotarpa, 10 years ago

Yes, still here.
This is the exact output of the console

Utopia-Planitia:MacOS XXXXXX$ ./scummvm
User picked target 'woodruff-it' (gameid 'gob')...
Looking for a plugin supporting this gameid... Gob Engine
Starting 'Gob engine game'
2009-06-11 21:21:19.304 scummvm[500:10b] Warning once: This application, or a library it uses, is using NSQuickDrawView, which has been deprecated. Apps should cease use of QuickDraw and move to Quartz.
WARNING: Video A/V sync broken, skipping 15 frame(s)!

ScummVM 0.14.0svn41433 (Jun 11 2009 04:47:08)
The Bizarre Adventures of Woodruff and the Schnibble V. 1.0
MacOSX 10.5.7 Intel

same bug on Wii port
ScummVM 0.14.0svn41364 (Jun 8 2009 11:8:49)

comment:6 by DrMcCoy, 10 years ago

Very strange.

Could you try recopying the data files from your original media? Maybe the CD is scratched and some bytes got read wrongly.

comment:7 by hkzlab, 10 years ago

With current svn, old broken saves cannot be loaded anymore from a BE machine nor from a LE one.
New savegames, made with current svn on a BE machine (tested on Wii) can be loaded fine on a LE machine (tested on linux/amd64).

comment:8 by hkzlab, 10 years ago

Status: newclosed

comment:9 by hkzlab, 10 years ago

With current svn, old broken saves cannot be loaded anymore from a BE machine nor from a LE one.
New savegames, made with current svn on a BE machine (tested on Wii) can be loaded fine on a LE machine (tested on linux/amd64).

comment:10 by hkzlab, 10 years ago

Resolution: fixed

comment:11 by hkzlab, 10 years ago

Resolution: fixed
Status: closednew

comment:12 by hkzlab, 10 years ago

Sorry, this was the wrong bug... my fault (too many windows open) :-(

comment:13 by SF/aculotarpa, 10 years ago

Youwere right drmccoy, my data were corrupted, once recopied from original media the game runs fine. Sorry for the incovenience, you can close this ticket.
Thank you for the patience!

comment:14 by DrMcCoy, 10 years ago

Resolution: invalid
Status: newclosed

comment:15 by DrMcCoy, 10 years ago

Okay :)

Note: See TracTickets for help on using tickets.